unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeComma, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    CBLeftAxisInverted: TCheckBox;
    CBPenVisible: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure CBLeftAxisInvertedClick(Sender: TObject);
    procedure CBPenVisibleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

var Series1: THorizBarSeries;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1.View3D := false;
  Chart1.Color := clwhite;
  Chart1.Legend.Visible := false;
  Chart1.Title.Visible := false;

  Series1 := THorizBarSeries.Create(self);
  Chart1.AddSeries(Series1);

  for i:=0 to 2 do Series1.Add(7, '', rgb(46,177,135));
  Series1.Add(6, '', rgb(46,177,135));
  Series1.Add(5, '', RGB(0,128,64));
  for i:=0 to 5 do Series1.Add(3, '', clNavy);
  Series1.Add(5, '', RGB(0,128,64));
  Series1.Add(6, '', rgb(46,177,135));
  Series1.Add(7, '', rgb(46,177,135));
  for i:=0 to 2 do Series1.Add(8, '', clOlive);
  for i:=0 to 39 do Series1.Add(9, '', rgb(255,128,64));
  for i:=0 to 5 do Series1.Add(8, '', clOlive);
  for i:=0 to 1 do Series1.Add(7, '', rgb(46,177,135));
  for i:=0 to 1 do Series1.Add(6, '', rgb(46,177,135));
  Series1.Add(5, '', RGB(0,128,64));
  for i:=0 to 2 do Series1.Add(3, '', clNavy);

  Series1.BarWidthPercent := 100;
  Series1.Pen.Visible := false;
  Series1.Marks.Visible := false;

  Chart1.Axes.Bottom.SetMinMax(0,24);
end;

procedure TForm1.CBLeftAxisInvertedClick(Sender: TObject);
begin
  Chart1.Axes.Left.Inverted := CBLeftAxisInverted.Checked;
end;

procedure TForm1.CBPenVisibleClick(Sender: TObject);
begin
  Series1.Pen.Visible := CBPenVisible.Checked;
end;

end.
